class Particle {
  public PVector location;
  PVector velocity;
  PVector acceleration;
  PVector noff;

  Particle (PVector l) {
    acceleration = new PVector(0, 0);
    //velocity = new PVector(random(-1, 1), random(-1, 0));
    velocity = new PVector(0, 0);
    location = l.get();
    lifespan = width;
    location = new PVector(random(width), random(height));
    noff = new PVector(random(1000), random(1000));
  }

  void run() {
    update();
    display();
    step();
  }

  void update() {
    velocity.add(acceleration);
    location.add(velocity);
    lifespan -= (1.5+score/4);
    //println(lifespan);
  }

  void display() {
    float period = 45;
    float amplitude = 5;
    float hm0 = amplitude * cos(TWO_PI * frameCount / period);

    fill(255, 0, 0, 50);
    noStroke();
    ellipse(location.x, location.y, 48, 48);
    fill(255, 0, 0, 100);
    noStroke();
    ellipse(location.x, location.y, 15+hm0, 15+hm0);
  }

  void step() {
    location.x = map(noise(noff.x), 0, 1, 0, width);
    location.y = map(noise(noff.y), 0, 1, 0, height);
    noff.add(-0.003, 0.003, 0);
  }

  boolean isDead() {
    if (lifespan < 0.0) {
      return true;
    } 
    else {
      return false;
    }
  }
}