class Walker {
  PVector location;
  PVector velocity;
  PVector acceleration;
  PVector noff;
  PVector noff1;
  PVector noff2;
    PVector noff3;


  Walker (PVector l) {
    acceleration = new PVector(0, 0);
    //velocity = new PVector(random(-1, 1), random(-1, 0));
    velocity = new PVector(0, 0);
    location = new PVector(random(width), random(height));
    noff = new PVector(random(1000), random(1000));
    noff1 = new PVector(random(1000), random(1000));
    noff2 = new PVector(random(1000), random(1000));
    noff3 = new PVector(random(1000), random(1000));

  }

  void run() {
    update();
    display();
    step();
  }

  void update() {
    velocity.add(acceleration);
    location.add(velocity);
    //println(lifespan);
  }

  void display() {
    float period = 180;
    float amplitude = 30;
    float hm0 = amplitude * cos(TWO_PI * frameCount / period);

    fill(100, 100, 100, 10);
    noStroke();
    ellipse(location.x, location.y, 100+hm0+(score*2), 100+hm0+(score*2));
  }

  void step() {
    location.x = map(noise(noff.x), 0, 1, 0, width);
    location.y = map(noise(noff.y), 0, 1, 0, height);
    noff.add(-0.003, 0.003, 0);
  }

  void display1() {
    float period = 90;
    float amplitude = 20;
    float hm1 = amplitude * cos(TWO_PI * frameCount / period);

    fill(100, 100, 100, (10+score*2));
    noStroke();
    ellipse(location.x, location.y, 150+hm1+(score*3), 150+hm1+(score*3));
  }

  void step1() {
    location.x = map(noise(noff1.x), 0, 1, 0, width);
    location.y = map(noise(noff1.y), 0, 1, 0, height);
    noff1.add(-0.005, 0.005, 0);
  }


  void display2() {
    float period = 180-(score*3);
    float amplitude = 30;
    float hm2 = amplitude * cos(TWO_PI * frameCount / period);

    fill(100, 100, 100, score*5);
    noStroke();
    ellipse(location.x, location.y, 200+hm2+(score*3), 200+hm2+(score*3));
  }

  void step2() {
    location.x = map(noise(noff2.x), 0, 1, 0, width);
    location.y = map(noise(noff2.y), 0, 1, 0, height);
    noff2.add(-0.002, 0.002, 0);
  }


  void display3() {
    float period = 300;
    float amplitude = 10;
    float hm3 = amplitude * cos(TWO_PI * frameCount / period);

    fill(100, 100, 100, -5+score);
    noStroke();
    ellipse(location.x, location.y, 50+hm3+(score*2), 50+hm3+(score*2));
  }

  void step3() {
    location.x = map(noise(noff3.x), 0, 1, 0, width);
    location.y = map(noise(noff3.y), 0, 1, 0, height);
    noff1.add(-0.005, 0.005, 0);
  }
  

  /*  boolean isDead() {
   if (lifespan < 0.0) {
   return true;
   } 
   else {
   return false;
   }
   } */
}